<?php
/**
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 */


class SendClientRequestController extends Modules_PleskLvemanager_Controllers_Spa
{
    /**
     * @throws pm_Exception
     */
    public function indexAction()
    {
        if (!$this->client->isClient() && !$this->session->isImpersonated()) {
            $this->sendErrorResponse('YOU ARE NOT AUTHORIZED TO GET THIS RESOURCE');
        }

        $this->_helper->layout->disableLayout();
        $this->_helper->viewRenderer->setNoRender(true);

        $this->processRequest(self::OWNER_USER);
    }
}
