{if $changed}
    <script> document.location.href = "settings"; </script>
{/if}
{$nav|html_entity_decode}
    <table class="iw-table iw-w-full">
        <tr class="iw-table-hd">
            <td class="iw-w-xs left" colspan="2" >
                Edit settings - Account: {$acc} - LveId: {$uid}
            </td>
        </tr>

        <tr class="{cycle} ruler">
            <td class="nowrap" colspan="2" align="center">
                {if $error_msg}
                    <center><span style="color:#EE0000">{$error_msg}</span>&nbsp;&nbsp;<a href="edit?uid={$uid}&acc={$acc}">Go back</a></center>
                {else}
                    <form id="form1" name="form1" method="post" action="">
                        <input type="hidden" name="uid" value="{$uid}" />
                        <input type="hidden" name="acc" value="{$acc}" />
                        <table border="1" align="center">
                            <tr>
                                <td align="right" width="200px">CPU usage (SPEED)</td>
                                <td align="left" width="300px"><input class="lveinput" name="speed" type="text" value="{$data.SPEED}%" /></td>
                            </tr>
                            <tr>
                                <td align="right" width="200px">Number of cores for LVE (nCPU)</td>
                                <td align="left" width="200px"><input class="lveinput" name="ncpu" type="text" value="{$data.NCPU}" /></td>
                            </tr>
                            <tr>
                                <td align="right" width="200px">Virtual Memory (vMEM)</td>
                                <td align="left" width="200px">
                                    <input class="lveinput_mem" name="vmem" type="text" value="{$data.VMEM}" />
                                    <span class="lve-form-comment">
                                        (0 - unlimited)
                                    </span>
                                </td>
                            </tr>
                        {if $ProcLVEVersion ge '6'}
                            <tr>
                                <td align="right" width="200px">Physical Memory (pMEM)</td>
                                <td align="left" width="200px">
                                    <input class="lveinput_mem" name="pmem" type="text" value="{$data.PMEM}" />
                                    <span class="lve-form-comment">
                                        (0 - unlimited)
                                    </span>
                                </td>
                            </tr>
                        {/if}
                            <tr>
                                <td align="right" width="200px">Concurrent connections (EP)</td>
                                <td align="left" width="200px"><input class="lveinput" name="ep" type="text" value="{$data.EP}" /></td>
                            </tr>
                        {if $ProcLVEVersion ge '6'}
                            <tr>
                                <td align="right" width="200px">Number of procecces (nPROC)</td>
                                <td align="left" width="200px">
                                    <input class="lveinput" name="nproc" type="text" value="{$data.NPROC}" />
                                    <span class="lve-form-comment">
                                        (0 - unlimited)
                                    </span>
                                </td>
                            </tr>
                        {/if}
                            <tr>
                                <td align="right" width="200px">I/O limit (IO)</td>
                                <td align="left" width="200px">
                                    <input class="lveinput" name="io" type="text" value="{$data.IOPRIO}" />
                                    <span class="lve-form-comment">
                                        (0 - unlimited)
                                    </span>
                                </td>
                            </tr>
                            <tr>
                                <td align="right" width="200px">
                                    <input name="submit" type="submit" value="Apply" />
                                </td>
                                <td align="left" width="200px">
                                    <input type="button" value="Cancel" onclick="javascript:document.location.href = 'settings';" />
                                </td>
                            </tr>
                        </table>
                    </form>
                {/if}
            </td>
        </tr>
    </table>