# coding=utf-8
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT
#
PLUGINS = {
    'main': {
        'title': 'CloudLinux Manager',
        'ui_option': None
    },
    'resource_usage': {
        'title': 'Resource Usage',
        'ui_option': 'hideLVEUserStat'
    },
    'nodejs_selector': {
        'title': 'Node.js Selector',
        'ui_option': 'hideNodeJsApp'
    },
    'python_selector': {
        'title': 'Python Selector',
        'ui_option': 'hidePythonApp'
    },
    'php_selector': {
        'title': 'PHP Selector',
        'ui_option': 'hidePhpApp'
    },
    'xray': {
        'title': 'X-Ray App',
        'ui_option': 'hideXrayApp'
    },
    'wpos': {
        'title': 'AccelerateWP',
        'ui_option': 'hideAccelerateWPApp'
    }
}
DEFAULT_PORT = 9000
TYPE_ADMIN = 'admin'
TYPE_RESELLER = 'reseller'
TYPE_USER = 'user'
